Opened 10 years ago

Closed 10 years ago

#700 closed defect (fixed)

error after running make

Reported by: pvanbosgeo Owned by: grass-dev@…
Priority: normal Milestone: 6.4.0
Component: Installation Version: svn-trunk
Keywords: make, install Cc:
CPU: x86-64 Platform: Linux

Description (last modified by neteler)

I am trying to update my GRASS 6.4 with r38526 (on Ubuntu 9.04), but I get an error:

/home/pbreugel/Software/GRASS/grass64_release/swig/python

Running make in the above-mentioned directory gives the following error message:

In file included from proj_wrap.c:2694:
/home/pbreugel/Software/GRASS/grass64_release/dist.x86_64-unknown-linux-gnu/include/grass/gprojects.h:23:29: error: ogr_srs_api.h: No such file or directory
In file included from proj_wrap.c:2694:
/home/pbreugel/Software/GRASS/grass64_release/dist.x86_64-unknown-linux-gnu/include/grass/gprojects.h:84: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘GPJ_grass_to_osr’
/home/pbreugel/Software/GRASS/grass64_release/dist.x86_64-unknown-linux-gnu/include/grass/gprojects.h:88: error: expected declaration specifiers or ‘...’ before ‘OGRSpatialReferenceH’
make[1]: *** [OBJ.x86_64-unknown-linux-gnu/proj_wrap.o] Error 1
make[1]: Leaving directory `/home/pbreugel/Software/GRASS/grass64_release/swig/python'
make: *** [default] Error 2

I am not sure how to continue from there, any help appreciated

Paulo

Change History (3)

comment:1 Changed 10 years ago by neteler

Description: modified (diff)

comment:2 Changed 10 years ago by neteler

comment:3 Changed 10 years ago by pvanbosgeo

Resolution: fixed
Status: newclosed

The problem seems to be solved with the latest update, after updating to 38537 I could run make without any further error message, thanks!

Note: See TracTickets for help on using tickets.